#ifndef __FALLG_H
#define __FALLG_H

/*
 * The 'long' type must be 32 Bit. Make sure this is the case
 * on your compiler! Otherwise you will have trouble to read
 * the header of every file slice.
 * Make also sure, that the structure 'fileinfo' is exactly
 * 26 Bytes long, where each variable is 32Bits (4Byte) wide.
 * If your prcessor has a reverse byte order (like Intel) you
 * must define '__INTEL__' on the sources to turn the byte
 * order as needed.
 */
typedef unsigned long	imode_t;
typedef long		iuid_t;
typedef long		igid_t;
typedef long		itime_t;

struct fileinfo
{
	imode_t	fi_mode;
	iuid_t	fi_uid;
	igid_t	fi_gid;
	itime_t	fi_atime;
	itime_t	fi_mtime;
	itime_t	fi_ctime;
#ifdef LINUX
	long	fi_count;
#else
	int	fi_count;
#endif
};

#endif
